<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp  = ($varForm["emp"]<>"Ninguno")?"'".$varForm["emp"]."'":"NULL";
	$varAlm  = ($varForm["alm"]<>"Ninguno")?"'".$varForm["alm"]."'":"NULL";
	$varLin  = ($varForm["tip"]<>"Ninguno")?"'".$varForm["tip"]."'":"NULL";
	$varFam  = ($varForm["fam"]<>"Ninguno")?"'".$varForm["fam"]."'":"NULL";
	$varSub  = ($varForm["sub"]<>"Ninguno")?"'".$varForm["sub"]."'":"NULL";	
	$sql = "call spQuery_Logisitica_Inventario_Actual('$varForm[tipo]', $varEmp, $varAlm, $varLin, $varFam, $varSub)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $varForm["titu"];	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'ComboListaAlmacen');
$xajax->register(XAJAX_FUNCTION, 'comboFamilia');
$xajax->register(XAJAX_FUNCTION, 'comboSubFamilia');

$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("emp").focus();
				return (false); 
				}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}
		}
		
	function xExportarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("emp").focus();
				return (false); 
				}
		else {
			xajax_xExportar(xajax.getFormValues('form'));	
			}
		}
	
	function xImprimirJS() {	
		var varTip = xajax.$("tipo").value;
		var varEmp = xajax.$("emp").value;
		var varAlm = xajax.$("alm").value;
		var varLin = xajax.$("tip").value;
		var varFam = xajax.$("fam").value;
		var varSub = xajax.$("sub").value;
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("emp").focus();
				return (false); 
				}
		else {
			var Ruta = 'print/print_inventario_actual.php?tip='+varTip+'&emp='+varEmp+'&alm='+varAlm+'&lin='+varLin+'&fam='+varFam+'&sub='+varSub;
			testwindow= window.open (Ruta, "print_inventario_actual", "location=no,status=no,toolbar=no,scrollbars=1,width=750,height=600");
			}
		}

</script>
<?php
function MyTable($obj, $varTitulo, $Opcion, $Valor, $TamFila) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>